Servoy JasperReports Plugin - Feature #395

Update Jakarta POI to the latest version
12/01/2011 02:02 PM - Patrick Talbot

Status: Closed Start date: 12/01/2011
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

Would it be possible to update to the latest Jakarta POI version (currently v3.8-beta4)?
According to JasperForge, jasper is compatible with 3.6 and more.

Currently the build is done with v3.6 which is very old (2009-12-14).

This is causing a jar hell issue with SmartDoc which is using Tika v1.0, shipped with v3.8-beta4.

History

#1 - 06/20/2012 03:24 PM - Andrei Costache
- Status changed from New to Closed
- % Done changed from 0 to 100

- Component version set to 4.0b1

The plugin has been updated to make use of the latest Jasper Reports library version (4.6.0 currently).
The current version of Jasper uses POI version 3.7 - the plugin has been updated to this also.
Builds, documentation and details will be available soon.

#2 - 06/20/2012 03:41 PM - Patrick Talbot

| believe 3.7 is the version that ships with the excel-export plugin already anyway.
Thanks for the update!

#3 - 06/20/2012 03:42 PM - Andrei Costache

Yes, correct, Servoy already uses 3.7. Now the plugin has been updated, so it is properly in sync.

Regards,
Andrei

04/26/2025

1/1



http://www.tcpdf.org

